# Uses of Enum Class
org.springframework.context.annotation.EnableLoadTimeWeaving.AspectJWeaving

Packages that use EnableLoadTimeWeaving.AspectJWeaving
Package
Description
org.springframework.context.annotation
Annotation support for the Application Context, including JSR-250 "common" annotations, component-scanning, and Java-based metadata for creating Spring-managed objects.

## Uses of EnableLoadTimeWeaving.AspectJWeaving in org.springframework.context.annotation

Methods in org.springframework.context.annotation that return EnableLoadTimeWeaving.AspectJWeaving
Modifier and Type
Method
Description
`static EnableLoadTimeWeaving.AspectJWeaving`
EnableLoadTimeWeaving.AspectJWeaving.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EnableLoadTimeWeaving.AspectJWeaving[]`
EnableLoadTimeWeaving.AspectJWeaving.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.